%define major 5
%define libname %mklibname otr %{major}
%define libnamedev %mklibname -d otr

Summary:	Off-The-Record Messaging library and toolkit
Name:		libotr
Version:	4.1.1
Release:	%mkrel 1
License:	LGPL/GPL
Group:		Networking/Instant messaging
URL:		http://www.cypherpunks.ca/otr/
Source0:	http://www.cypherpunks.ca/otr/%{name}-%{version}.tar.gz
Source1:	http://www.cypherpunks.ca/otr/%{name}-%{version}.tar.gz.asc

BuildRequires:	libgcrypt-devel >= 1.2.0

%description
%{name} is a library and toolkit which implements Off-the-Record (OTR)
Messaging.

OTR allows you to have private conversations over IM by providing:
 - Encryption
   - No one else can read your instant messages.
 - Authentication
   - You are assured the correspondent is who you think it is.
 - Deniability
   - The messages you send do _not_ have digital signatures that are
     checkable by a third party.  Anyone can forge messages after a
     conversation to make them look like they came from you.  However,
     _during_ a conversation, your correspondent is assured the messages
     he sees are authentic and unmodified.
 - Perfect forward secrecy
   - If you lose control of your private keys, no previous conversation
     is compromised.

%package	-n %{libname}
Summary:	Off-The-Record Messaging library and toolkit
Group:		Networking/Instant messaging
License:	LGPL
Provides:	%{name} = %{version}-%{release}

%description	-n %{libname}
%{name} is a library and toolkit which implements Off-the-Record (OTR)
Messaging.

OTR allows you to have private conversations over IM by providing:
 - Encryption
   - No one else can read your instant messages.
 - Authentication
   - You are assured the correspondent is who you think it is.
 - Deniability
   - The messages you send do _not_ have digital signatures that are
     checkable by a third party.  Anyone can forge messages after a
     conversation to make them look like they came from you.  However,
     _during_ a conversation, your correspondent is assured the messages
     he sees are authentic and unmodified.
 - Perfect forward secrecy
   - If you lose control of your private keys, no previous conversation
     is compromised.

%package	-n %{libnamedev}
Summary:	Development related files of %{name}
Group:		Networking/Instant messaging
License:	LGPL
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes: %mklibname -d otr 2

%description	-n %{libnamedev}
%{name} is a library and toolkit which implements Off-the-Record (OTR)
Messaging. This package contains development related files of %{name}.

%package	utils
Summary:	Helper utilities of %{name}
Group:		Networking/Instant messaging
License:	GPL
Requires:	%{libname} = %{version}

%description	utils
%{name} is a library and toolkit which implements Off-the-Record (OTR)
Messaging. This package contains various helper utilities from %{name}.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --with-pic
%make

%install
%makeinstall_std

find %{buildroot}%{_libdir} -name *.la -delete

%files -n %{libname}
%doc AUTHORS
%{_libdir}/lib*.so.%{major}*

%files -n %{libnamedev}
%doc ChangeLog INSTALL Protocol-v3.html NEWS README
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/pkgconfig/*.pc

%files utils
%doc AUTHORS
%{_bindir}/*
%{_mandir}/man?/*




%changelog
* Wed Mar 09 2016 luigiwalser <luigiwalser> 4.1.1-1.mga5
+ Revision: 988558
- 4.1.1 (fixes CVE-2016-2851)

* Sun Feb 22 2015 lmenut <lmenut> 4.0.0-6.mga5
+ Revision: 816580
- add upstream patch to pass opdata when sending message fragment
  (bko#328999)

* Wed Oct 15 2014 umeabot <umeabot> 4.0.0-5.mga5
+ Revision: 745769
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.0.0-4.mga5
+ Revision: 681696
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.0.0-3.mga4
+ Revision: 507303
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 4.0.0-2.mga3
+ Revision: 357941
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 obgr_seneca <obgr_seneca> 4.0.0-1.mga3
+ Revision: 302556
- bumped major to 5
- fixed files list
- New version 4.0.0

* Tue Aug 14 2012 obgr_seneca <obgr_seneca> 3.2.1-1.mga3
+ Revision: 281362
- New version

* Tue Aug 14 2012 obgr_seneca <obgr_seneca> 3.2.0-7.mga3
+ Revision: 281357
- Fix for CVE 2012-3461 (Mga bug #7043)

* Tue Jun 05 2012 obgr_seneca <obgr_seneca> 3.2.0-6.mga3
+ Revision: 255827
- removed la file

* Thu Jan 20 2011 ahmad <ahmad> 3.2.0-5.mga1
+ Revision: 26408
- drop old/unneeded scriptlets
- imported package libotr

